OpenTTD Source: StrongType::Integer::mixin< TType, TBaseType > Struct Template Reference

OpenTTD Source 14.1

Public Member Functions | Friends
StrongType::Integer::mixin< TType, TBaseType > Struct Template Reference

## Public Member Functions
constexpr TType & | operator*= (const TType &rhs)=delete
constexpr TType | operator* (const TType &rhs)=delete
constexpr TType | operator* (const TBaseType &rhs)=delete
constexpr TType & | operator/= (const TType &rhs)=delete
constexpr TType | operator/ (const TType &rhs)=delete
constexpr TType | operator/ (const TBaseType &rhs)=delete
constexpr TType & | operator%= (const TType &rhs)=delete
constexpr TType | operator% (const TType &rhs)=delete
constexpr TType | operator% (const TBaseType &rhs)=delete
constexpr TType & | operator&= (const TType &rhs)=delete
constexpr TType | operator& (const TType &rhs)=delete
constexpr TType | operator& (const TBaseType &rhs)=delete
constexpr TType & | operator|= (const TType &rhs)=delete
constexpr TType | operator| (const TType &rhs)=delete
constexpr TType | operator| (const TBaseType &rhs)=delete
constexpr TType & | operator^= (const TType &rhs)=delete
constexpr TType | operator^ (const TType &rhs)=delete
constexpr TType | operator^ (const TBaseType &rhs)=delete
constexpr TType & | operator<<= (const TType &rhs)=delete
constexpr TType | operator<< (const TType &rhs)=delete
constexpr TType | operator<< (const TBaseType &rhs)=delete
constexpr TType & | operator>>= (const TType &rhs)=delete
constexpr TType | operator>> (const TType &rhs)=delete
constexpr TType | operator>> (const TBaseType &rhs)=delete
constexpr TType | operator~ ()=delete
constexpr TType | operator- ()=delete

## Friends
constexpr friend TType & | operator++ (TType &lhs)
constexpr friend TType & | operator-- (TType &lhs)
constexpr friend TType | operator++ (TType &lhs, int)
constexpr friend TType | operator-- (TType &lhs, int)
constexpr friend TType & | operator+= (TType &lhs, const TType &rhs)
constexpr friend TType | operator+ (const TType &lhs, const TType &rhs)
constexpr friend TType | operator+ (const TType &lhs, const TBaseType &rhs)
constexpr friend TType & | operator-= (TType &lhs, const TType &rhs)
constexpr friend TType | operator- (const TType &lhs, const TType &rhs)
constexpr friend TType | operator- (const TType &lhs, const TBaseType &rhs)

## Detailed Description

### template<typename TType, typename TBaseType>
struct StrongType::Integer::mixin< TType, TBaseType >

Definition at line 54 of file strong_typedef_type.hpp.

The documentation for this struct was generated from the following file:

- src/core/strong_typedef_type.hpp